@import "/css/variables.css";

#punch-game {
  grid-area: punch-game;
  color: white;
  min-width: 15vw;
}

.bag-container {
  flex: 1;
  padding: 1em 2em;
  display: flex;
  flex-direction: column;
}

#bag {
  flex: 1;
  padding: 0 8px;
  display: flex;
  justify-content: center;
  background-image: url(/images/bag.png);
  background-repeat: no-repeat;
  background-size: contain;
  background-position-x: center;
}

#bag.burst {
  background-image: url(/images/bag-burst.png);
}

#bag-health {
  overflow: hidden;
  border: 1px solid #92949c;
  border-radius: var(--border-radius);
}

#bag-health div {
  height: 20px;
  width: 90%;
}

#controls {
  width: 100%;
  display: flex;
  justify-content: space-around;
  align-items: center;
  padding: 1em 2em 2em;
}

#controls button {
  margin: 0 8px;
}

.success {
  background: #2dd36f;
}
.warning {
  background: #ffc409;
}
.danger {
  background: #eb445a;
}

.vue-logo {
  background-image: linear-gradient(
      to bottom,
      rgba(255, 255, 255, 0.5) 0%,
      rgba(255, 255, 255, 0.5) 100%
    ),
    url(/images/vue-logo.png);
  background-repeat: no-repeat;
  background-position: 120px -30px;
  background-size: 80%;
}
